Get a model

View as Markdown

Get one ML model’s training status and results.

Requires an API key with the read scope.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

ml_model_idstringRequired

Response

OK
idstringformat: "uuid"
namestring
task_typestring
descriptionstring or nullOptional
target_columnstring or nullOptional
feature_columnslist of strings or nullOptional
image_columnslist of strings or nullOptional
problem_typestring or nullOptional
currently_activebooleanOptionalDefaults to false
statusstring or nullOptional
version_numberinteger or nullOptional
dataset_idstring or nullOptionalformat: "uuid"
quality_presetstring or nullOptional
error_messagestring or nullOptional
training_started_atdatetime or nullOptional
training_completed_atdatetime or nullOptional
evaluation_metricsmap from strings to any or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error